## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsComponentFactory Struct Reference
[AWS, AWS]

Interface for component factories. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsComponentFactory:

[legend]
List of all members.

## Public Member Functions

virtual iAwsComponent * | Create ()=0
| Returns a newly created component of the type this factory handles.
virtual void | Register (const char *type)=0
| Registers this factory with the window manager.
virtual void | RegisterConstant (const char *name, int value)=0
| Registers constants for the parser so that we can construct right.

## Detailed Description

Interface for component factories.

Definition at line 1181 of file aws.h.

## Member Function Documentation

virtual iAwsComponent* iAwsComponentFactory::Create | ( |  | ) | `[pure virtual]`

| Returns a newly created component of the type this factory handles.

virtual void iAwsComponentFactory::Register | ( | const char * | type | ) | `[pure virtual]`

| Registers this factory with the window manager. Implemented in awsEmbeddedComponentFactory.

virtual void iAwsComponentFactory::RegisterConstant | ( | const char * | name,
|  | int | value
| ) | `[pure virtual]`

| Registers constants for the parser so that we can construct right. Implemented in awsEmbeddedComponentFactory.

The documentation for this struct was generated from the following file:

- iaws/aws.h